.btn {
  align-items: center;
  color: var(--color-primary);
  cursor: pointer;
  border: 0;
  display: inline-flex;
  filter: brightness(1);
  font-weight: var(--font-semi-bold);
  height: 40px;
  justify-content: center;
  line-height: 1;
  margin: 0;
  padding: var(--space-s) var(--space-base);
  border-radius: var(--border-radius-rounded);
  transition: all 200ms ease;
  outline-style: none;

  &:focus {
    outline-width: var(--border-size-m);
    outline-color: var(--color-info);
    outline-style: solid;
  }

  &[disabled] {
    background-color: var(--color-neutral-4);
    border: var(--border-size-s) solid var(--color-neutral-6);
    color: var(--color-neutral-6);
    outline-style: none;
    cursor: default;
  }

  &-primary {
    background-color: var(--color-primary);
    color: var(--color-neutral-0);

    &:hover { background-color: var(--color-primary-dark); }
    &:focus { background-color: var(--color-primary-dark); }
    &:active { background-color: var(--color-primary-darker); }
  }

  &-secondary {
    background-color: var(--color-neutral-0);
    color: var(--color-primary);
    border: var(--border-size-s) solid var(--color-primary);

    &:hover { background-color: var(--color-neutral-2); }
    &:focus { background-color: var(--color-neutral-4); }
    &:active { background-color: var(--color-neutral-4); }
  }

  &-tertiary {
    background-color: var(--color-grape-lightest);
    display: block;
    width: 100%;
    color: var(--color-primary);

    &:hover { background-color: var(--color-grape-lighter); }
    &:focus { background-color: var(--color-grape-lighter); }
    &:active { background-color: var(--color-grape-light); }
  }

  &-plain {
    background-color: transparent;
    color: var(--color-neutral-8);

    &:hover { background-color: var(--color-blue-lightest); }
    &:focus { background-color: var(--color-blue-lightest); }
    &:active { background-color: var(--color-blue-lighter); }
  }
}
